Skip to main content
GET
/
api
/
dataproduct
/
psk
Retrieves a list of pre-shared keys
curl --request GET \
  --url https://api.example.com/api/dataproduct/psk \
  --header 'Authorization: Bearer <token>'
[
  {
    "view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "valid_until": "2023-11-07T05:31:56Z",
    "is_deleted": false,
    "deleted_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

include_deleted
boolean
default:false

Flag to retrieve deleted pre-shared keys as well.

Response

Retrieved pre-shared keys successfully.

view_id
string<uuid>
required

ID of the view associated with this pre-shared key.

id
string<uuid> | null

Unique ID of the pre-shared key.

description
string | null

Optional description for the pre-shared key.

created_at
string<date-time>

Timestamp when the pre-shared key was created.

valid_until
string<date-time> | null

Expiration timestamp of the pre-shared key. None means no expiry.

is_deleted
boolean
default:false

Flag indicating whether the pre-shared key has been deleted.

deleted_at
string<date-time> | null

Timestamp when the pre-shared key was deleted.